.top-bar {
    top: rem(74);
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 900;
    white-space: nowrap;
    font-size: rem(11);
    font-weight: 500;
    line-height: 125%;
    letter-spacing: 1.1px;
    text-transform: uppercase;
    position: fixed;
    background: rgba(0,0,0,0.5);
    overflow-y: auto;
    opacity: 0;
    visibility: hidden;

    &__body {
        z-index: 10;
        position: relative;
        padding: rem(24) 0;
        background: $white;
    }

    &__layout {
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        z-index: 1;
        position: absolute;
    }

    &__menu {
        margin: 0;
        padding: 0;
        list-style: none;

        > li {

            > a {
                color: $dark;
                fill: $purple;
                padding: rem(8) 0;
                text-decoration: none;
                text-transform: uppercase;
                display: flex;
                align-items: center;
                transition: .3s;

                &:hover {
                    color: $purple;
                    text-decoration: none;
                    transition: .3s;
                }

                span {
                    display: inline-block;
                }

                i {
                    top: -1px;
                    font-size: 0;
                    line-height: 0;
                    height: rem(3);
                    flex-shrink: 0;
                    position: relative;
                    display: inline-block;
                    margin-left: rem(8);
                }
            }

            ul {
                margin: 0;
                list-style: none;
                padding: rem(8) 0 rem(8) rem(30);

                li {

                    a {
                        color: $dark;
                        padding: rem(8) 0;
                        display: inline-block;
                        text-decoration: none;
                        transition: .3s;

                        &:hover {
                            color: $purple;
                            text-decoration: none;
                            transition: .3s;
                        }
                    }
                }
            }
        }
    }

    &__info {
        color: $dark;
        font-weight: 600;
        margin-top: rem(20);
        padding-top: rem(10);
        white-space: nowrap;
        border-top: 1px solid $gray-200;
        transition: .25s;

        &:hover {
            color: $purple;
            transition: .25s;
        }

        &__item {
            margin-top: rem(20);
        }

        &__whatsapp {
            margin-top: rem(20);
        }
    }

    @include media-breakpoint-up(md) {
        top: auto;
        left: auto;
        right: auto;
        bottom: auto;
        padding: 0;
        overflow-y: visible;
        position: relative;
        background: #F9FBF9;
        opacity: 1;
        visibility: visible;

        &__body {
            padding: 0;
            background: transparent;
        }

        &__layout {
            display: none;
        }

        &__menu {
            display: flex;
            align-items: center;
            justify-content: space-between;

            > li {
                position: relative;

                > a {
                    height: rem(54);
                }

                ul {
                    left: 0;
                    top: 100%;
                    padding: 0;
                    min-width: 100%;
                    position: absolute;
                    background: #F9FBF9;
                    opacity: 0;
                    visibility: hidden;

                    li {

                        a {
                            display: block;
                            padding: rem(10) rem(12);
                        }

                        &:first-child {

                            a {
                                padding-top: rem(20);
                            }
                        }

                        &:last-child {

                            a {
                                padding-bottom: rem(20);
                            }
                        }
                    }
                }

                &:hover {

                    > a {
                        color: $purple;
                        transition: .3s;
                    }

                    ul {
                        opacity: 1;
                        visibility: visible;
                    }
                }
            }
        }

        &__info {
            display: none;
        }
    }

    @include media-breakpoint-up(xl) {
        font-size: rem(11);

        &__main {
            display: flex;
            align-items: center;
            justify-content: space-between;
        }

        &__menu {
            justify-content: flex-start;

            > li {

                &:first-child {

                    > a {
                        padding-left: 0;

                        &:before {
                            left: rem(-16);
                        }
                    }
                }

                &:last-child {

                    > a {
                        padding-right: 0;

                        &:before {
                            right: rem(-16);
                        }
                    }
                }

                &:not(:last-child) {
                    border-right: 1px solid $gray-200;

                    &:before {
                        top: calc(50% - 4px);
                        right: -1px;
                        content: '';
                        z-index: 30;
                        width: 1px;
                        height: 8px;
                        position: absolute;
                        background: $purple;
                    }
                }

                > a {
                    z-index: 20;
                    height: rem(60);
                    padding: 0 rem(16);
                    position: relative;

                    &:before {
                        left: 0;
                        right: 0;
                        bottom: 0;
                        content: '';
                        height: 2px;
                        position: absolute;
                        background: $purple;
                        box-shadow: 0px 2px 10px 0px rgba(144, 11, 123, 0.35);
                        opacity: 0;
                        visibility: hidden;
                        transition: .25s;
                    }

                    &:hover {

                        &:before {
                            opacity: 1;
                            visibility: visible;
                            transition: .25s;
                        }
                    }
                }

                ul {

                    li {

                        a {
                            padding-left: rem(16);
                            padding-right: rem(16);
                        }
                    }
                }

                &:hover {

                    > a {

                        &:before {
                            opacity: 1;
                            visibility: visible;
                            transition: .25s;
                        }
                    }
                }
            }
        }

        &__info {
            margin: 0;
            padding: 0;
            border-top: none;
            display: flex;
            align-items: center;

            &__item {
                margin-top: 0;

                &:not(:last-child) {

                    &:after {
                        content: '/';
                        margin: 0 rem(8);
                        color: $purple;
                    }
                }
            }

            &__whatsapp {
                display: none;
            }
        }
    }

    @include media-breakpoint-up(xxl) {
        font-size: rem(12);

        &__menu {

            > li {

                &:first-child {

                    > a {

                        &:before {
                            left: rem(-32);
                        }
                    }
                }

                &:last-child {

                    > a {

                        &:before {
                            right: rem(-32);
                        }
                    }
                }

                > a {
                    padding: 0 rem(32);
                }

                ul {

                    li {

                        a {
                            padding-left: rem(32);
                            padding-right: rem(32);
                        }
                    }
                }
            }
        }
    }
}

.top-bar--open {
    overflow: hidden;

    .top-bar {
        opacity: 1;
        visibility: visible;
    }

    .header__hamburger {

        span {
            opacity: 0;
        }

        &:after {
            transform: translateY(5px) translateX(2px)  rotate(45deg);
            transition: .25s;
        }

        &:before {
            transform: translateY(-5px) translateX(2px)  rotate(-45deg);
            transition: .25s;
        }
    }

    @include media-breakpoint-up(md) {
        overflow: visible;
    }
}
